Update resident
https://api.propexo.com/v1/residents/:idUpdate a resident for an integration.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - Array [
- ]
The Propexo unique identifier for the resident
The last name of the resident.
The first name of the resident.
The primary email address for the resident.
The secondary email address associated with the resident
The date of birth associated with the resident
Show 2 variants
The first address line associated with the resident
The second address line associated with the resident
The city associated with the resident
The state associated with the resident
Show 73 enum values
ABBCMBNBNLNTNSNUONPEQCSKYTALAKASAZARAAAEAPCACOCTDEDCFLGAGUHIIDILINIAKSKYLAMEMDMAMIMNMSMOMTNENVNHNJNMNYNCNDMPOHOKORPAPRRISCSDTNTXUMUTVTVIVAWAWVWIWYThe zip code associated with the resident
The country associated with the resident
Show 2 enum values
USCASecondary/alternate street address for the resident. This maps to the Street property of the second address of the Tenant object
Second line of the secondary/alternate street address for the resident. This maps to the AlternateAddress.AddressLine2 property of the Tenant object
City of the resident's secondary/alternate address
State of the resident's secondary/alternate address
Zip/Postal Code of the resident's secondary/alternate address
Country of the resident's secondary/alternate address.
Show 1 enum value
USNotes associated with the resident
The primary phone number for the resident.
The primary phone type for the resident. Required when updating phone number.
Show 4 enum values
HOMEWORKMOBILEFAXSecondary phone number associated with the resident
Type of the secondary phone number
Show 5 enum values
FAXHOMEMOBILEOTHERWORKcustom_data objectdeprecated
Deprecated: Field is no longer applicable
The middle name associated with the resident
events object[]deprecated
DEPRECATED: Please use /events endpoints to write events. Array of events associated with this resident
The Propexo unique identifier for the unit
The PMS id for the event type.
The PMS id for the leasing agent.
The PMS id for the event sub type.
The PMS id for the event result.
The date and time that the event occured.
The date and time that the appointment will occur. Required if using appointment type.
General notes about the event.
Title for the event.
The reason the event occurred.
The Propexo unique identifier for the event. Only required if attempting to update an existing event.
The Propexo unique identifier for the lead source
The middle initial of the resident
Possible values: non-empty and <= 1 characters
Whether the resident is qualified
The gender of the resident
Show 2 enum values
MALEFEMALEIndicates if the resident is a guarantor for the primary resident.
The monthly income of the resident, in cents
Possible values: >= 0
To restrict the resident from making payments by check, set this to true. Defaults to false.
How often the resident is expected to pay rent. Allowed values are "monthly", "weekly", and "daily". Maps to the RentPeriod property of the Tenant object.
Show 3 enum values
MONTHLYWEEKLYDAILYDay of the month on which the tenant's rent is due. Maps to the RentDueDay property of the Tenant object
Possible values: >= 1 and <= 31
Whether the resident is the primary record
Response
Successful response
The ID of the job created to handle this operation
data objectrequired
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X PUT https://api.propexo.com/v1/residents/:id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"resident_id": "string",
"last_name": "string",
"first_name": "string",
"email_1": "[email protected]",
"email_2": "[email protected]",
"date_of_birth": "2024-07-29T15:51:28.071Z",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "AB",
"zip": "string",
"country": "US",
"address_1_alternate": "string",
"address_2_alternate": "string",
"city_alternate": "string",
"state_alternate": "string",
"zip_alternate": "string",
"country_alternate": "US",
"notes": "string",
"phone_1": "string",
"phone_1_type": "HOME",
"phone_2": "string",
"phone_2_type": "FAX",
"middle_name": "string",
"lead_source_id": "string",
"middle_initial": "string",
"qualified": true,
"gender": "MALE",
"guarantor": true,
"monthly_income_in_cents": 0,
"no_checks_in_cash_receipts": true,
"rent_period": "MONTHLY",
"rent_due_day": 0,
"is_primary": true
}'
{
"job_id": "string",
"data": {}
}